%define		tarball		xf86-video-intel
%define		moduledir	%(pkg-config xorg-server --variable=moduledir )
%define		driverdir	%{moduledir}/drivers

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Xorg X11 i128 video driver
Name:		xorg-x11-drv-intel
Version:	2.13.0
Release:	1
URL:		http://www.x.org
License:	MIT/X11
Group:		User Interface/X Hardware Support
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686
Source0:	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source200:	intel.xinf

ExclusiveArch:	%{ix86}

Conflicts:	xorg-x11-drv-i810

BuildRequires:	pkg-config
BuildRequires:	xorg-x11-server-sdk
BuildRequires:	libXvMC-devel
BuildRequires:	libpciaccess-devel
BuildRequires:	pixman-devel
BuildRequires:  libdrm-devel
BuildRequires:	mesa-libGL-devel

Requires:	xorg-x11-server-Xorg

%description 
X.Org X11 i128 video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
export FFLAGS='-O2  -march=i686 -pipe -fomit-frame-pointer'
#./autogen.sh
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE200} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/intel_drv.so
#%{driverdir}/ch7017.so
#%{driverdir}/ch7xxx.so
#%{driverdir}/i810_drv.so
#%{driverdir}/ivch.so
#%{driverdir}/sil164.so
#%{driverdir}/tfp410.so
#%{_libdir}/libI810*
#%{_libdir}/libIntelXvMC.so*
%{_datadir}/hwdata/videoaliases/intel.xinf
%{_mandir}/man4/intel.4.gz

%changelog
* Thu Oct 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.13.0-1
- Version Update
* Tue Aug 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.12.0-1
- Version Update
* Tue Jan 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.10.0-1
- version update
* Sun Dec 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.9.99.902-1
- version update
* Wed Dec 09 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.9.1-2
- rebuilt against xorg-x11-server 1.7.3-1
* Sun Nov 29 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.9.1-1
- version update
- git master 2009/11/29
* Tue Oct 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.9.0-1
- version update
* Sat May 23 2009 Christian Wasem <wasem@ccux-linux.de> 2.7.1-1
- Version update - x.org 1.6.1.901
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.4.97.0-1
- Version update
* Sun Feb 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.2.0.90-1
- Version update
* Sat Nov 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.2.0-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.1-2
- rebuilt against X.org 7.3
* Sun Aug 19 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.1-1
- Version update
* Mon Jul 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.0-1
- Version update
* Fri Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0-1
- Initial release
